using UnityEngine;
using System.Collections;

public class Gate : MonoBehaviour {

    public AudioClip open;
    public AudioClip close;

    public bool startOpen;

    void Awake()
    {
        if (startOpen)
        {
            animation.Play("gateopen");
            animation["gateopen"].normalizedTime = 1f;
        }
    }

    void Open()
    {
        audio.loop = true;
        audio.clip = open;
        audio.Play();
        animation.Play("gateopen");
    }

    void Close()
    {
        audio.Stop();
        audio.loop = false;
        if (animation.isPlaying)
            animation["gateclose"].normalizedTime = 1f - animation["gateopen"].normalizedTime;
        animation.Play("gateclose");
    }

    void PlayCloseAudio()
    {
        audio.PlayOneShot(close);
    }

    void OnOpened()
    {
        audio.loop = false;
        audio.Stop();
        animation["gateclose"].normalizedTime = 0f;
    }
}
