using UnityEngine;
using System.Collections;

public class Spike : MonoBehaviour {

    public AudioClip snap;
    public AudioClip recover;
    public GameObject death;

    private bool isDown;

    void Recover()
    {
        audio.loop = true;
        audio.clip = recover;
        audio.Play();
        animation.Play("SpikeRecover");
    }

    void Snap()
    {
        if (isDown) return;

        death.SetActive(true);
        audio.Stop();
        audio.loop = false;
        if (animation.isPlaying)
            animation["SpikeSnap"].normalizedTime = 1f - animation["SpikeRecover"].normalizedTime;
        animation.Play("SpikeSnap");
    }

    void PlaySnapAudio()
    {
        isDown = true;
        audio.PlayOneShot(snap);
        death.SetActive(false);
    }

    void OnRecovered()
    {
        isDown = false;
        audio.loop = false;
        audio.Stop();
        animation["SpikeSnap"].normalizedTime = 0f;
    }
}
