using UnityEngine;
using System.Collections;

public class Swingaxe : MonoBehaviour {

    public JointSpring forth;   // positive target pos
    public JointSpring back;    // negative target pos

    private HingeJoint joint;

	void Start ()
    {
        joint = GetComponent<HingeJoint>();

        // init springs
        forth = new JointSpring();
        forth.spring = joint.spring.spring;
        forth.targetPosition = joint.spring.targetPosition;
        forth.damper = joint.spring.damper;
        back = new JointSpring();
        back.spring = joint.spring.spring;
        back.targetPosition = -joint.spring.targetPosition;
        back.damper = joint.spring.damper;
	}
	
	
	void Update ()
    {
        if (joint.spring.targetPosition > 0f)
        {
            if (joint.angle > joint.spring.targetPosition)
            {
                joint.spring = back;
                gameObject.audio.PlayDelayed(0.5f);
            }
        }
        else
        {
            if (joint.angle < joint.spring.targetPosition)
            {
                joint.spring = forth;
                gameObject.audio.PlayDelayed(0.5f);
            }
        }
	}
}
